## desktopfolder 1.0.10

=== debian/changelog ===
desktopfolder (1.0.10-1) unstable; urgency=medium

  * Initial Release (Closes: #913356)

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 9 Nov 2018 19:03:10 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/spheras/desktopfolder/releases .*/desktopfolder-([0-9.]+)\.tar\.xz

## desktopfolder 1.1.2

=== snap/requirements.txt ===
argparse==1.2.2

## desktopfolder 1.1.0

=== debian/changelog ===
desktopfolder (1.1.0-2) unstable; urgency=medium

  * Bugfix release (Closes: #932547)
    - resolve FTBFS with vala 0.44
      0001-Fix-compilation-issues-with-vala-0.44.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 20 Jul 2019 11:15:01 +0100

desktopfolder (1.1.0-1) unstable; urgency=medium

  * New upstream release
    - See ChangeLog
  * Packaging Changes
    - Control: Bump StandardsVersion: no changes required
    - Control: Bump debhelper/compat to 12
    - Control: Add intltool to build-depends
    - Drop existing patch since this area has been superseded in this
      release

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 13 Jul 2019 11:51:28 +0100

=== debian/control ===
Source: desktopfolder
Section: x11
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: debhelper (>= 12),
               meson (>= 0.40.1),
               valac (>= 0.40),
               libgtk-3-dev (>= 3.22),
               libgee-0.8-dev,
               libcairo2-dev,
               libjson-glib-dev,
               libgdk-pixbuf2.0-dev,
               libwnck-3-dev,
               libglib2.0-dev,
               libgtksourceview-3.0-dev,
               intltool
Standards-Version: 4.4.0
Vcs-Browser: https://github.com/UbuntuBudgie/desktopfolder/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/desktopfolder -b debian
Homepage: https://github.com/spheras/desktopfolder

Package: desktopfolder
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Organize your desktop with panels, notes and photos
 Bring your desktop back to life
 Organize your desktop with panels that hold your things.
 .
 DesktopFolder overlays a hidden desktop overlay allowing
 desktop icons, file shortcuts, folders, photographs, notes
 and panels to be arranged in a freeform or grid format.
 Each desktop component has a number of attributes that
 can be customized - colors and size.
 .
 DesktopFolder has been developed for GNOME based desktops such as
 GNOME-Shell and Budgie Desktop.

## desktopfolder 1.1.2

=== debian/changelog ===
desktopfolder (1.1.2-1) unstable; urgency=medium

  * New upstream release
    - Reorganised Menu
    - Double click on photos to open
    - Translations Added and Updated
    - Minor bugfixing
  * Packaging Changes
    - control: bump Standards-Version (no changes required)
    - control/compat - debhelper 12 and removed compat
    - drop all patches since incorporated in the new release
    - copyright: bump copyright year for year change
    - watch: upstream now released gz not xz tarballs

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 02 Jan 2020 12:50:39 +0000

desktopfolder (1.1.0-3) unstable; urgency=medium

  * Bugfix release
    - fix FTBFS due to vala 0.46
      0001-Fix-compilation-against-Vala-0.46.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 11 Oct 2019 16:51:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
 Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
                meson (>= 0.40.1),
                valac (>= 0.40),
                libgtk-3-dev (>= 3.22),
@@ -14,7 +15,7 @@
                libglib2.0-dev,
                libgtksourceview-3.0-dev,
                intltool
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://github.com/UbuntuBudgie/desktopfolder/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/desktopfolder -b debian
 Homepage: https://github.com/spheras/desktopfolder

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dexename=desktopfolder

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog-announcement.txt

## desktopfolder 1.1.3

=== meson_options.txt ===
option('exename', type : 'string', value : 'com.github.spheras.desktopfolder', description : 'executable name')

=== debian/changelog ===
desktopfolder (1.1.3-2) unstable; urgency=medium

  * Bug fix
    Resolve FTBFS due to removal of deprecated i18n merges
    (Closes: #1005592)
    0001-Remove-deprecated-positional-arguments-for-translati.patch
  * Packaging Changes
    - control: Update StandardsVersion - no changes required
    - copyright: Update debian copyright year

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 13 Feb 2022 11:44:13 +0000

desktopfolder (1.1.3-1) unstable; urgency=medium

  * New upstream release
    fix: transparent icons on changing desktops
    fix: fast double click
    fix: black backdrop on Fedora
    Translations Added and Updated
  * Packaging Changes
    control - bump debhelper version

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 02 Sep 2020 21:20:07 +0100

desktopfolder (1.1.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Use canonical URL in Vcs-Git.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

 -- David Mohammed <fossfreedom@ubunt.com>  Wed, 29 Apr 2020 08:21:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (= 12),
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (= 13),
                meson (>= 0.40.1),
                valac (>= 0.40),
                libgtk-3-dev (>= 3.22),
@@ -15,9 +15,9 @@
                libglib2.0-dev,
                libgtksourceview-3.0-dev,
                intltool
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://github.com/UbuntuBudgie/desktopfolder/tree/debian
-Vcs-Git: https://github.com/UbuntuBudgie/desktopfolder -b debian
+Vcs-Git: https://github.com/UbuntuBudgie/desktopfolder.git -b debian
 Homepage: https://github.com/spheras/desktopfolder
 
 Package: desktopfolder

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://github.com/spheras/desktopfolder/releases .*/desktopfolder-([0-9.]+)\.tar\.gz
